#============================================================
# GnuPlot script : STD.GNU
#============================================================
# Parameter 0 : input data file
# Parameter 1 : graph title
# Parameter 2 : min X:max x
# Parameter 3 : min y:max y
# Parameter 4 : Size X, Size y
# Parameter 5 : output file (PNG format)
#============================================================

# -------------------------------------
# Setting
# -------------------------------------
set xlabel "Angstrms (\305)"
# set xlabel "Pixels"
# set ylabel "Intensit relative" offset 0,0
set ylabel "Relative intensity" offset 0,0
unset ytics
set title '$1' offset 0,-0.5
set tmargin 2
set xrange [$2]
set yrange [$3]
set terminal push

set style data lines
set style line 1 lt -1 lw 2 lc rgb 'black' pi -1

# -------------------------------------
# Plot on the computer screen
# -------------------------------------
set terminal windows "Arial" 20
plot "$0" notitle ls 1

# -------------------------------------
# Plot on a PNG file
# -------------------------------------
set terminal png font times 35 size 1600,1000
set output '$5'
replot

# -------------------------------------
# Finalize
# -------------------------------------
set output
set terminal pop
reset